# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "indexed-table"
version = "0.1.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A tiny in-memory indexed table."
readme = "README.md"
keywords = [
    "table",
    "index",
    "in-memory",
]
categories = ["data-structures"]
license = "MIT"
repository = "https://github.com/jameseperry/indexed-table"

[lib]
name = "indexed_table"
path = "src/lib.rs"

[[test]]
name = "macro_example"
path = "tests/macro_example.rs"

[[test]]
name = "table_index"
path = "tests/table_index.rs"

[[test]]
name = "table_macro"
path = "tests/table_macro.rs"

[[test]]
name = "table_rows"
path = "tests/table_rows.rs"

[dependencies.slotmap]
version = "1.1"
